Index: LMDZ4/branches/LMDZ4-dev/physiq.def
===================================================================
--- LMDZ4/branches/LMDZ4-dev/physiq.def	(revision 1101)
+++ LMDZ4/branches/LMDZ4-dev/physiq.def	(revision 1102)
@@ -1,172 +1,123 @@
-### type_ocean = force / slab  /couple
+#
+## $Header: /home/ioipsl/CVSROOT/IPSLCM4_v1/EXP00/physiq.def,v 1.1.2.3
+2004/01/23 16:45:45 adm Exp $
+#
+#
+# Automatically generated make config: don t edit
+#
 type_ocean=force
-### VEGET= y si ORCHIDEE, =n si bucket
+# avec ou sans orchidee 
 VEGET=n
+#type_run = AMIP, ENSP, clim
+type_run=AMIP
 #
-# Parametres fichiers de sortie
+# Controle des sorties
+# sorties moyennees tous les jours  dans histday.nc
+OK_journe=y
+# sorties moyennees tous les mois  dans histmth.nc
+OK_mensuel=y
+# sorties moyennees toutes les 6 ou bien 3h dans histhf.nc
+ok_hf=n
+# sorties moyennees tous les pas de temps de la physique dans histins.nc
+OK_instan=n
 #
-### type_run = type run par rapport aux fichiers et variables de sortie
-# - type_run = CLIM/ENSP (=1)
-# - type_run = AMIP/CFMI (=2)
-type_run=AMIP
-### OK_journe= y sortir fichier journalier histday.nc, =n pas de fichier histday.nc
-OK_journe=y
-### OK_mensuel= y sortir fichier mensuel histmth.nc, =n pas de fichier histmth.nc
-OK_mensuel=y
-### OK_instan=y, ecrire sorties "instantannees" (chaque pas de temps de la  physique)
-OK_instan=n
-### OK_hf=y, ecrire sorties hautes frequence histhf.nc, =n pas de fichier histhf.nc
-ok_hf=n
+ecrit_mth=30.
+ecrit_day=1.
+ecrit_hf=0.25
 #
-# Parametres niveau de sorties differents fichiers 
-#
-### lev_histhf=0-4, niveau de sortie fichier "histhf.nc" 
-# - lev_histhf=0 => pas de sorties histhf.nc
-# - lev_histhf=2 => defaut
-# - lev_histhf=3 => variables sur niveaux standards
-# - lev_histhf=4 => histhf3d.nc champs 3d niveaux modele => fichier. histhf3d.nc
-lev_histhf=2
-### lev_histday=0-5, niveau de sortie fichier "histday.nc"
-# - lev_histday=0 => pas de sorties lev_histday.nc
-# - lev_histday=2 => defaut
-# - lev_histday=3 => + champs 3D => F. Lott
-# - lev_histday=4 => + champs sous-surfaces
-# - lev_histday=5 => + champs F. Aires
-lev_histday=2
-### lev_histmth=0-4, niveau de sortie fichier "histmth.nc"
-# - lev_histmth=0 => pas de sorties lev_histmth.nc
-# - lev_histmth=2 => defaut
-# - lev_histmth=3 => albedo, rugosite sous-surfaces
-# - lev_histmth=4 => champs tendances 3d
-lev_histmth=2
-### ecrit_hf = frequence ecriture fichier histhf.nc en jours
-ecrit_hf=0.250
-### ecrit_day = frequence ecriture fichier histday.nc en jours
-ecrit_day=1.
-### ecrit_mth = frequence ecriture fichier histmth.nc en jours
-ecrit_mth=30.
-### freqin_isccp = frequence input en secondes du simulateur ISCCP
-freq_ISCCP=10800.
-### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=30.
-### niveau du diagnostique de conservation d energie
+#niveau de sortie "hf" lev_histhf 
+lev_histhf=4
+#niveau de sortie "day" lev_histday
+lev_histday=5
+#niveau de sortie "mth" lev_histmth 
+lev_histmth=4
+
+# parametres KE
 if_ebil=0
-#
-# parametres KE
-#
-### epmax = Efficacite precipitation maximale
 epmax = .99
-### ok_adj_ema = ?? pas utilise
 ok_adj_ema = n
-### iflag_clw Flag calcul eau liquide
-# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
-# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
-# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
 iflag_clw = 1
 # 
 # parametres nuages
+cld_lc_lsc = 2.6e-4
+cld_lc_con = 2.6e-4
+cld_tau_lsc = 3600.
+cld_tau_con = 3600.
+ffallv_lsc = 1.
+ffallv_con = 1.
+coef_eva = 2.e-5
+reevap_ice = y
+iflag_cldcon = 3
+iflag_pdf = 1
+fact_cldcon = 1.
+facttemps = 1.e-4
+ok_newmicro = y
+iflag_ratqs=0
+ratqsbas = 0.005
+ratqshaut = 0.33
+rad_froid = 35
+rad_chau1=12
+rad_chau2=11
+ksta_ter=1.e-7
+ksta=1.e-10
+#ok_kzmin : calcul Kzmin dans la CL de surface
+ok_kzmin=y
 #
-### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
-cld_lc_lsc = 2.6e-4
-### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
-cld_lc_con = 2.6e-4
-### cld_tau_lsc  cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
-cld_tau_lsc = 3600.
-### cld_tau_con  cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
-cld_tau_con = 3600.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
-ffallv_lsc = 1.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
-ffallv_con = 1.
-### coef_eva  coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?) 
-coef_eva = 2.e-5
-### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
-reevap_ice = y
-### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
-# - iflag_cldcon<=-1 diag. rain_Tiedtke 
-# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
-# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
-# - iflag_cldcon=3,   ratqs=ratqss
-iflag_cldcon = 3
-### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
-# - iflag_pdf=0, version ratqs, 
-# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
-# -              des PDFS de Sandrine Bony 
-iflag_pdf = 1
-### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
-fact_cldcon = 1.
-### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
-facttemps = 1.e-4
-## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
-ok_newmicro = y
-### ratqsbas     ratqs en bas si iflag_cldcon=1 
-ratqsbas = 0.005
-### ratqshaut    ratqs en haut pour ratqss "stables"  
-ratqshaut = 0.33
-### iflag_ratqs=0 correspond a la version IPCC AR4
-iflag_ratqs = 0
-### rad_froid    rayon cristaux des nuages de glace "froids" 
-rad_froid = 35
-### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
-rad_chau1=12
-### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
-rad_chau2=11
-## ksta_ter      coef.diffusion minimale sur terre/sic/lic 
-ksta_ter=1.e-7
-### cdmmax =     cdrag maximum pour le moment
+# parametres climatique
+R_ecc = 0.016715
+R_peri = 102.7
+R_incl = 23.441
+solaire = 1365.
+co2_ppm = 348.
+#RCO2 = co2_ppm * 1.0e-06  * 44.011/28.97
+#RCO2 = 348. * 1.0e-06  * 44.011/28.97
+#RCO2 =   5.286789092164308E-04
+#RCO2 = 425.43e-06
+CH4_ppb = 1650.
+#RCH4 = 1.65E-06* 16.043/28.97
+#RCH4 =   9.137366240938903E-07
+N2O_ppb = 306.
+#RN2O = 306.E-09* 44.013/28.97
+#RN2O =    4.648939592682085E-07
+CFC11_ppt = 280.
+#RCFC11 = 280.E-12* 137.3686/28.97
+#RCFC11 =    1.327690990680013E-09
+CFC12_ppt = 484.
+#RCFC12 = 484.E-12* 120.9140/28.97
+#RCFC12 =    2.020102726958923E-09
+#
+# effets direct et indirect des aerosols
+ok_ade=n
+ok_aie=n
+bl95_b0=1.7
+bl95_b1=0.2
+#
+# parametres simulateur ISCCP
+#ok_isccp : y/n avec/sans simulateur ISCCP
+ok_isccp=n
+#top_height = 1 ou 3
+top_height = 1
+#overlap = 1, 2 ou 3
+overlap = 3
+#cdmmax
 cdmmax = 2.5E-3
-### cdhmax =     cdrag maximum pour l energie
+#cdhmax
 cdhmax = 2.0E-3
 #
-# Parametres "orbitaux/ ere geologique"
+#ok_regdyn : y/n calcul/non des regymes dynamiques sur regions pre-definies
+ok_regdyn=y
 #
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
-solaire = 1365.
+# Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE nouvelle physique, 30 KE IPCC)
+iflag_con=30
 #
-# Taux gaz a effet de serre
-#
-### co2_ppm =    taux CO2 en ppm
-co2_ppm = 348.
-### CH4_ppb =    taux CH4 en ppb
-CH4_ppb = 1650.
-### N2O_ppb =    taux N2O en ppb
-N2O_ppb = 306.
-### CFC11_ppt =  taux CFC11 en ppt
-CFC11_ppt = 280.
-### CFC12_ppt =  taux CFC12 en ppt
-CFC12_ppt = 484.
-#
-# Parametres effets directs/indirects des "aerosols"
-#
-### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=n
-### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=n
-### aer_type =   Aerosol variation type : actuel / preind / scenario
-aer_type=actuel
-### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b0=1.7
-### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b1=0.2
-#
-# Parametres simulateur ISCCP
-#
-### ok_isccp=y/n flag simulateur ISCCP
-ok_isccp=n
-### top_height = flag choix calcul nuages par le simulateur en utilisant 
-# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
-# - top_height = 1 -> algo IR-VIS
-# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
-# - top_height = 3 -> algo IR
-top_height = 1
-### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
-# - overlap=1    Max overlap
-# - overlap=2    Random overlap
-# - overlap=3    Max/Random overlap
-overlap = 3
+# activation thermiques wake, ...
+iflag_thermals = 0
+nsplit_thermals =1
+tau_thermals=1800.
+iflag_pbl = 1
+iflag_coupl=0
+iflag_wake=0
+iflag_clos=0
+iflag_mix=1
+qqa1=0.
+qqa2=1.