Index: LMDZ4/branches/LMDZ4-dev/libf/phylmd/physiq.F
===================================================================
--- LMDZ4/branches/LMDZ4-dev/libf/phylmd/physiq.F	(revision 1102)
+++ LMDZ4/branches/LMDZ4-dev/libf/phylmd/physiq.F	(revision 1114)
@@ -2,5 +2,5 @@
 c#define IO_DEBUG
 
-      SUBROUTINE physiq (nlon,nlev,nqmax,
+      SUBROUTINE physiq (nlon,nlev,
      .            debut,lafin,rjourvrai,gmtime,pdtphys,
      .            paprs,pplay,pphi,pphis,presnivs,clesphy0,
@@ -15,4 +15,5 @@
       USE write_field_phy
       USE dimphy
+      USE infotrac
       USE mod_grid_phy_lmdz
       USE mod_phys_lmdz_para
@@ -50,5 +51,4 @@
 c nlon----input-I-nombre de points horizontaux
 c nlev----input-I-nombre de couches verticales
-c nqmax---input-I-nombre de traceurs (y compris vapeur d'eau) = 1
 c debut---input-L-variable logique indiquant le premier passage
 c lafin---input-L-variable logique indiquant le dernier passage
@@ -87,8 +87,5 @@
 #include "clesphys.h"
 #include "control.h"
-!#include "logic.h"
 #include "temps.h"
-cym#include "comgeomphy.h"
-#include "advtrac.h"
 #include "iniprint.h"
 #include "thermcell.h"
@@ -184,5 +181,4 @@
       INTEGER nlon
       INTEGER nlev
-      INTEGER nqmax
       REAL rjourvrai
       REAL gmtime
@@ -200,5 +196,5 @@
       REAL v(klon,klev)
       REAL t(klon,klev),theta(klon,klev)
-      REAL qx(klon,klev,nqmax)
+      REAL qx(klon,klev,nqtot)
       REAL flxmass_w(klon,klev)
       REAL omega(klon,klev) ! vitesse verticale en Pa/s
@@ -206,5 +202,5 @@
       REAL d_v(klon,klev)
       REAL d_t(klon,klev)
-      REAL d_qx(klon,klev,nqmax)
+      REAL d_qx(klon,klev,nqtot)
       REAL d_ps(klon)
       real da(klon,klev),phi(klon,klev,klev),mp(klon,klev)
@@ -1110,7 +1106,7 @@
          write(lunout,*) 'DEBUT DE PHYSIQ !!!!!!!!!!!!!!!!!!!!'
          write(lunout,*)
-     s 'nlon,nlev,nqmax,debut,lafin,rjourvrai,gmtime,pdtphys'
+     s 'nlon,nlev,nqtot,debut,lafin,rjourvrai,gmtime,pdtphys'
          write(lunout,*)
-     s  nlon,nlev,nqmax,debut,lafin,rjourvrai,gmtime,pdtphys 
+     s  nlon,nlev,nqtot,debut,lafin,rjourvrai,gmtime,pdtphys 
 
          write(lunout,*) 'papers, play, phi, u, v, t, omega'
@@ -1170,8 +1166,5 @@
       END IF 
       ok_sync=.TRUE.
-      IF (nqmax .LT. 2) THEN
-         abort_message = 'eaux vapeur et liquide sont indispensables'
-         CALL abort_gcm (modname,abort_message,1)
-      ENDIF
+
       IF (debut) THEN
          CALL suphel ! initialiser constantes et parametres phys.
@@ -1500,5 +1493,5 @@
 
 c$OMP MASTER
-       call phys_output_open(jjmp1,nqmax,nlevSTD,clevSTD,nbteta, 
+       call phys_output_open(jjmp1,nlevSTD,clevSTD,nbteta, 
      &                        ctetaSTD,dtime,presnivs,ok_veget,
      &                        type_ocean,iflag_pbl,ok_mensuel,ok_journe,
@@ -1554,5 +1547,5 @@
      $                   calday,
      $                   klon,
-     $                   nqmax,
+     $                   nqtot,
      $                   pdtphys,
      $                   annee_ref,
@@ -1610,5 +1603,5 @@
       ENDDO
       ENDDO
-      DO iq = 1, nqmax
+      DO iq = 1, nqtot
       DO k = 1, klev
       DO i = 1, klon
@@ -1633,6 +1626,6 @@
       ENDDO
       ENDDO
-      IF (nqmax.GE.3) THEN
-      DO iq = 3, nqmax
+      IF (nqtot.GE.3) THEN
+      DO iq = 3, nqtot
       DO  k = 1, klev
       DO  i = 1, klon
@@ -3163,5 +3156,4 @@
      I                   debut,
      I                   lafin,
-     I                   nqmax-2,
      I                   nlon,
      I                   nlev,
@@ -3386,6 +3378,6 @@
       ENDDO
 c
-      IF (nqmax.GE.3) THEN
-      DO iq = 3, nqmax
+      IF (nqtot.GE.3) THEN
+      DO iq = 3, nqtot
       DO  k = 1, klev
       DO  i = 1, klon
@@ -3421,7 +3413,7 @@
       write(lunout,*) 'FIN DE PHYSIQ !!!!!!!!!!!!!!!!!!!!'
       write(lunout,*)
-     s 'nlon,nlev,nqmax,debut,lafin,rjourvrai,gmtime,pdtphys pct tlos'
+     s 'nlon,nlev,nqtot,debut,lafin,rjourvrai,gmtime,pdtphys pct tlos'
       write(lunout,*)
-     s  nlon,nlev,nqmax,debut,lafin,rjourvrai,gmtime,pdtphys,
+     s  nlon,nlev,nqtot,debut,lafin,rjourvrai,gmtime,pdtphys,
      s  pctsrf(igout,is_ter), pctsrf(igout,is_lic),pctsrf(igout,is_oce),
      s  pctsrf(igout,is_sic)