Index: LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/gcm.F
===================================================================
--- LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/gcm.F	(revision 1191)
+++ LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/gcm.F	(revision 1195)
@@ -17,5 +17,5 @@
       USE mod_hallo
       USE Bands
-
+      USE getparam
       USE filtreg_mod
 
@@ -194,4 +194,5 @@
 
       call init_parallel
+      call ini_getparam("out.def")
       call Read_Distrib
 ! Ehouarn : temporarily (?) keep this only for Earth
Index: LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/getparam.F90
===================================================================
--- LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/getparam.F90	(revision 1191)
+++ LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/getparam.F90	(revision 1195)
@@ -1,13 +1,7 @@
 !
-! $Id$
+! $Header$
 !
 MODULE getparam
-#ifdef CPP_IOIPSL
    USE IOIPSL
-#else
-! if not using IOIPSL, we still need to use (a local version of) getin
-   USE ioipsl_getincom
-#endif
-
    INTERFACE getpar
      MODULE PROCEDURE ini_getparam,fin_getparam,getparamr,getparami,getparaml
@@ -18,20 +12,24 @@
 CONTAINS
   SUBROUTINE ini_getparam(fichier)
+  USE parallel
     !
     IMPLICIT NONE
     !
     CHARACTER*(*) :: fichier
-    open(out_eff,file=fichier,status='unknown',form='formatted') 
+    IF (mpi_rank==0) OPEN(out_eff,file=fichier,status='unknown',form='formatted')
+    
   END SUBROUTINE ini_getparam
 
   SUBROUTINE fin_getparam
+  USE parallel
     !
     IMPLICIT NONE
     !
-    close(out_eff)
+      IF (mpi_rank==0) CLOSE(out_eff)
 
   END SUBROUTINE fin_getparam
 
   SUBROUTINE getparamr(TARGET,def_val,ret_val,comment)
+  USE parallel
     !
     IMPLICIT NONE
@@ -50,11 +48,14 @@
     call getin(TARGET,ret_val)
 
-    write(out_eff,*) '######################################'
-    write(out_eff,*) '#### ',comment,' #####'
-    write(out_eff,*) TARGET,'=',ret_val
-
+    IF (mpi_rank==0) THEN
+      write(out_eff,*) '######################################'
+      write(out_eff,*) '#### ',comment,' #####'
+      write(out_eff,*) TARGET,'=',ret_val
+    ENDIF
+    
   END SUBROUTINE getparamr
 
   SUBROUTINE getparami(TARGET,def_val,ret_val,comment)
+  USE parallel
     !
     IMPLICIT NONE
@@ -73,12 +74,15 @@
     call getin(TARGET,ret_val)
 
-    write(out_eff,*) '######################################'
-    write(out_eff,*) '#### ',comment,' #####'
-    write(out_eff,*) comment
-    write(out_eff,*) TARGET,'=',ret_val
-
+    IF (mpi_rank==0) THEN
+      write(out_eff,*) '######################################'
+      write(out_eff,*) '#### ',comment,' #####'
+      write(out_eff,*) comment
+      write(out_eff,*) TARGET,'=',ret_val
+    ENDIF
+    
   END SUBROUTINE getparami
 
   SUBROUTINE getparaml(TARGET,def_val,ret_val,comment)
+  USE parallel
     !
     IMPLICIT NONE
@@ -97,8 +101,10 @@
     call getin(TARGET,ret_val)
 
-    write(out_eff,*) '######################################'
-    write(out_eff,*) '#### ',comment,' #####'
-    write(out_eff,*) TARGET,'=',ret_val
-
+    IF (mpi_rank==0) THEN
+      write(out_eff,*) '######################################'
+      write(out_eff,*) '#### ',comment,' #####'
+      write(out_eff,*) TARGET,'=',ret_val
+    ENDIF
+       
   END SUBROUTINE getparaml
 
Index: LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/leapfrog_p.F
===================================================================
--- LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/leapfrog_p.F	(revision 1191)
+++ LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/leapfrog_p.F	(revision 1195)
@@ -19,4 +19,5 @@
        USE infotrac
        USE guide_p_mod, ONLY : guide_main
+       USE getparam
 
       IMPLICIT NONE
@@ -1259,4 +1260,5 @@
       print *, 'Temps CPU ecoule sur la parallelisation :',DiffCpuTime()
       CALL print_filtre_timer
+      call fin_getparam
         call finalize_parallel
 c$OMP END MASTER
@@ -1284,4 +1286,5 @@
 
 c$OMP MASTER
+              call fin_getparam
               call finalize_parallel
 c$OMP END MASTER
@@ -1396,5 +1399,5 @@
               endif ! of if (planet_type.eq."earth")
 
-              CLOSE(99)
+!              CLOSE(99)
 c$OMP END MASTER
             ENDIF ! of IF (itau.EQ.itaufin)
@@ -1452,4 +1455,5 @@
                IF( itau. EQ. itaufinp1 ) then  
 c$OMP MASTER
+                 call fin_getparam
                  call finalize_parallel
 c$OMP END MASTER
@@ -1563,4 +1567,5 @@
       END IF ! of IF(.not.purmats)
 c$OMP MASTER
+      call fin_getparam
       call finalize_parallel
 c$OMP END MASTER